/* Here is a standard item with only a weight and value
   this is the most basic form of an item   -Locksley */

inherit "obj/treasure";

reset(arg) {

  if ( arg ) return;
  set_name("item");      /* Sets the id of the object. This is what is used
                            in such cases as if(!present("item")). You can
                            also do Item or IteM or ITEM etc.<-This is useful
                            in speacial cases such as quest items. */
    
  set_alias("item");     /* This sets the alias of an object which is used
                            to do an action on the object. i.e. 'drop item'
                            'give item to' 'sell item'. */
  
   set_alt_name("object"); /* This gives the item an alternative name. Now
                             this can also be used to do an action on the
                             item. i.e 'drop object' 'sell object' etc.. */
                             
  set_short("a basic item");  /* This sets the short description of an item.
                                 This is seen in inventory command and when
                                 a player looks at you. */

  set_long("This is just the\n"+
           "most basic item.\n");  /* Sets the long description which is seen
                                      whenever the object is looked at. The
                                      \n calls for a newline and the + is used
                                      when there is more than one line in the
                                      description. */

  set_weight(1);        /* Sets the weight of an item. */
  
  set_value(200);       /* Sets the value of an item which is the amout that 
                           the player gets for the sale of the item. The cost
                           of the item in a shop is twice this value. If the
                           value of the item is over 1000 the item will be
                           automatically destructed upon sale. The shop will
                           NEVER pay more than 1000 coins for an object so
                           setting the value to 2000 will give the player
                           1000 coins and destruct the object */


  }
